ZIP_DELETE(3) | Library Functions Manual | ZIP_DELETE(3)

# NAME

`zip_delete` —
delete file from zip archive

# LIBRARY

libzip (-lzip)

# SYNOPSIS

`#include <zip.h>`

int
`zip_delete`(zip_t *archive, zip_uint64_t index);

# DESCRIPTION

The file at position index in the zip archive archive is marked as deleted.

# RETURN VALUES

Upon successful completion 0 is returned. Otherwise, -1 is returned and the error code in archive is set to indicate the error.

# ERRORS

`zip_delete`() fails if:

[`ZIP_ER_INVAL`]
  index is not a valid file index in archive.

# SEE ALSO

libzip(3), zip_unchange(3)

# HISTORY

`zip_delete`() was added in libzip 0.6. In libzip 0.10 the type of index was changed from int to zip_uint64_t.

# AUTHORS

Dieter Baron <dillo@nih.at> and Thomas Klausner <tk@giga.or.at>

December 18, 2017 | NetBSD 8.99.35